
<style type="text/css">
  .labelText{margin:10px 0;display:block;}
  .title4{margin:15px 0;position:absolute;top:-50px;padding:0 15px;background-color:#fff}
  .box{border:1px solid rgba(76, 76, 76, 0.21);margin:45px 15px 15px;padding:20px 0px;position:relative;border-radius:5px;width:100%}
  .MLR{margin:0 1px}
</style>
<div class="container">

  <!-- <h1>Project ADA</h1>-->
  <form #lesserForm="ngForm">
  <div class="row">
    <div class="col-sm-4 col-md-4 .col-xs-12">
      <lable class="labelText">Lessor Name<span style="color:red">*</span></lable>
      <input type="text" [(ngModel)]="lesserAssetDetails.lesserName" name="lesseName" id="lesseName" #lesseName="ngModel" required class="form-control" placeholder="Enter Lessor Name">
      <div style="color: red" *ngIf="lesseName.touched && lesseName.errors?.required" [hidden]="lesseName.valid || lesseName.pristine"
           class="alert alert-danger" >Lesser Name is required.
      </div>
    </div>
    <div class="col-sm-4 col-md-4 .col-xs-12">
      <lable class="labelText">Date of Joining<span style="color:red">*</span></lable>
     <!-- <form class="form-inline">
        <div class="form-group">-->
          <div class="input-group">
            <input type="date" class="form-control" placeholder="yyyy-mm-dd" required name="doj" #doj="ngModel" id="doj" [(ngModel)]="lesserAssetDetails.DOJ"  >
          <!--  <input class="form-control" placeholder="yyyy-mm-dd"
                   name="dp" [(ngModel)]="lesserAssetDetails.DOJ" ngbDatepicker #d="ngbDatepicker" required name="doj" #doj="ngModel" id="doj"  dateFormat="dd-MMM-yyyy">-->

            <!--<div class="input-group-append">
              <button class="" (click)="d.toggle()" type="button"><i class="fa fa-calendar-check-o"
                                                                     aria-hidden="true"></i>
              </button>
            </div>-->
          </div>

         <!-- </div>
        </div>
      </form>-->
      <div style="color: red" *ngIf="doj.touched && doj.errors?.required" [hidden]="doj.valid || doj.pristine"
           class="alert alert-danger" >DOJ is required.
      </div>
    </div>


    <div class="col-sm-4 col-md-4 .col-xs-12">
      <lable class="labelText">Email Id</lable>
      <input type="text" name="email" #email="ngModel"  id="email" class="form-control"  [(ngModel)]="lesserAssetDetails.emailId" placeholder="Enter Email Id">
     <!-- <div style="color: red" *ngIf="email.touched && email.errors?.required" [hidden]="email.valid || email.pristine"
           class="alert alert-danger" >Email is required.
      </div>-->
    </div>
  </div>

  <div class="row">
    <div class="col-sm-4 col-md-4 .col-xs-12">
      <lable class="labelText">Phone Number</lable>
      <input type="number" name="phoneno" class="form-control"  [(ngModel)]="lesserAssetDetails.phoneNumber" id="phoneno"
             #phoneno="ngModel" placeholder="Enter Phone Number">
   <!--   <div style="color: red" *ngIf="phoneno.touched && phoneno.errors?.required" [hidden]="phoneno.valid || phoneno.pristine"
           class="alert alert-danger" >Phone Number is required.
      </div>-->
    </div>
    <div class="col-sm-4 col-md-4 .col-xs-12">
      <lable class="labelText">Status<span style="color:red">*</span></lable>
      <select id="status" name="status" #status="ngModel" required  [(ngModel)]="lesserAssetDetails.status" class="form-control">
        <option >Active</option>
        <option >InActive</option>
      </select>
      <div style="color: red" *ngIf="status.touched && status.errors?.required" [hidden]="status.valid || status.pristine"
           class="alert alert-danger" >Status is required.
      </div>
    </div>
    <div class="col-sm-4">
      <lable class="labelText">Comments</lable>
      <textarea  [(ngModel)]="lesserAssetDetails.comments" name="comment" id="comment"  #comment="ngModel" class="form-control"></textarea>
     <!-- <div style="color: red" *ngIf="comment.touched && comment.errors?.required" [hidden]="comment.valid || comment.pristine"
           class="alert alert-danger" >comments is required.
      </div>-->
    </div>
  </div>


  <div class="row">
    <div class="box clearfix">
      <div class="col-sm-12">
        <h3 class="title4">Lessor Details</h3>
      </div>

      <div class="row MLR">
        <div class="col-sm-4">
          <lable class="labelText">PAN</lable>
          <input type="text" class="form-control" name="pan" id="pan" #pan="ngModel"  placeholder="Enter PAN"
                 [(ngModel)]="lesserAssetDetails.Pan" >
         <!-- <div style="color: red" *ngIf="pan.touched && pan.errors?.required" [hidden]="pan.valid || pan.pristine"
               class="alert alert-danger" >PAN is required.
          </div>-->
        </div>
        <div class="col-sm-4">
          <lable class="labelText">GST<!--<span style="color:red">*</span>--></lable>
          <input type="text" class="form-control" placeholder="Enter GST" name=gst  id="gst" #gst="ngModel"
                 [(ngModel)]="lesserAssetDetails.gst" >
          <!--<div style="color: red" *ngIf="gst.touched && gst.errors?.required" [hidden]="gst.valid || gst.pristine"
               class="alert alert-danger" >GST is required.
          </div>-->
        </div>

        <div class="col-sm-4">
          <lable class="labelText">Lessor Code<span style="color:red">*</span></lable>
          <input type="text" class="form-control" placeholder="Enter Lessor Code" name=LesserCode id="LesserCode" #LesserCode="ngModel" required
                 [(ngModel)]="lesserAssetDetails.LesserCode " >
          <div style="color: red" *ngIf="LesserCode.touched && LesserCode.errors?.required" [hidden]="LesserCode.valid || LesserCode.pristine"
               class="alert alert-danger" >Lesser Code is required.
          </div>
        </div>
      </div>


    </div>
  </div>





  <div class="row">
    <div class="box clearfix">
      <div class="col-sm-12">
        <h3 class="title4">Address</h3>
      </div>
      <div class="row MLR">

        <div class="col-sm-8">
          <lable class="labelText">Address</lable>
          <textarea type="text" class="form-control" placeholder="Enter Address" name=address id="address" #address="ngModel"
                    [(ngModel)]="lesserAssetDetails.address"></textarea>
          <!--<div style="color: red" *ngIf="address.touched && address.errors?.required" [hidden]="address.valid || address.pristine"
               class="alert alert-danger" >Address is required.
          </div>-->
        </div>
        <div class="col-sm-4">
          <lable class="labelText">Area</lable>
          <input type="text" class="form-control" placeholder="Enter Area" name=area id="area" #area="ngModel"
                 [(ngModel)]="lesserAssetDetails.area" >
         <!-- <div style="color: red" *ngIf="area.touched && area.errors?.required" [hidden]="area.valid || area.pristine"
               class="alert alert-danger" >Area is required.
          </div>-->
        </div>

      </div>
      <div class="col-sm-4 col-sm-offset-12 "></div>
      <div class="row MLR">

        <div class="col-sm-4">
          <lable class="labelText">State</lable>
          <input type="text" class="form-control" placeholder="Enter State" name=state  id="state" #state="ngModel"
                 [(ngModel)]="lesserAssetDetails.state" >
         <!-- <div style="color: red" *ngIf="state.touched && state.errors?.required" [hidden]="state.valid || state.pristine"
               class="alert alert-danger" >state is required.
          </div>-->
        </div>
        <div class="col-sm-4">
          <lable class="labelText">City</lable>
          <input type="text" class="form-control" placeholder="Enter City" name=city  id="city" #city="ngModel"
                 [(ngModel)]="lesserAssetDetails.city" >
         <!-- <div style="color: red" *ngIf="city.touched && city.errors?.required" [hidden]="city.valid || city.pristine"
               class="alert alert-danger" >City is required.
          </div>-->
        </div>

        <div class="col-sm-4">
          <lable class="labelText">Pincode</lable>
          <input type="number" class="form-control" placeholder="Enter Pincode" name=pincode id="pincode"  #pincode="ngModel"
                 [(ngModel)]="lesserAssetDetails.pincode" >
         <!-- <div style="color: red" *ngIf="pincode.touched && pincode.errors?.required" [hidden]="pincode.valid || pincode.pristine"
               class="alert alert-danger" >Pincode is required.
          </div>-->
        </div>


      </div>
    </div>

  </div>


    <div class="row">
        <div class="col-sm-12 text-center" style="margin-top:20px">

        <span *ngIf="!isEditMode">
<button class="btn btn-default" data-dismiss="modal" (click)="submitConfigDetails()" [disabled]="!lesserForm.form.valid">Save</button>
        </span>
            <span *ngIf="isEditMode">
            <button class="btn btn-default" data-dismiss="modal" (click)="updateConfigDetails()" [disabled]="!lesserForm.form.valid" >Update</button>
        </span>
          <span *ngIf="isEditMode">
            <button class="btn btn-danger" data-dismiss="modal" (click)="deleteAssetById()">Delete</button>
        </span>
            <button class="btn btn-danger" data-dismiss="modal">Close</button>
        </div>
    </div>
  </form>
</div>